/*******************
  TITLES
*******************/

.title > * {
	font-weight: 400;
	font-family: var(--titleFont);
}
.f-title {
  font-family: var(--titleFont);
}
.title.huge > * {
	font-size: clamp(2.75rem, 5.25vw, 4.75rem);
  line-height: 1.2em;
  font-weight: 400;
  letter-spacing: 0;
  text-wrap: balance;
}
.title.big > * {
	font-size: clamp(2.5rem, 5vw, 4.5rem);
  line-height: 1.2em;
  font-weight: 400;
  letter-spacing: 0;
  text-wrap: balance;
}
.title.medium > * {
	font-size: clamp(2rem, 3.5vw, 3rem);
	line-height: 1.2em;
	font-weight: 400;
}
.title.mediumless > * {
	font-size: clamp(1.75rem, 3.125vw, 2.125rem);
	line-height: 1.1em;
	font-weight: 400;
}
.title.small > * {
	font-size: clamp(1.3rem, 2.1vw, 1.65rem);
	line-height: 1.1em;
	font-weight: 400;
}
.title.tiny > * {
	font-size: 1.2em;
	line-height: 1.1em;
	font-weight: 400;
}
.title.noStyle > * {
	font-size: 1em;
  font-weight: 400;
  line-height: 1.25em;
  letter-spacing: 0.03em;
}

.title.light > * {
	font-weight: 200;
}
.title.thin > * {
	font-weight: 300;
}
.title.strong > * {
	font-weight: 600;
}

.title.mw-gradient > * {
/*	background: linear-gradient(270deg, #025B6E 0%, #2A93B3 50%, #D5D4CA 100%);
*/	background: linear-gradient(270deg, #025B6E 0%, #2A93B3 50%, #96B8C0 100%);
	background-clip: text;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
}
.title.mw-gradient-2 > * {
/*	background: linear-gradient(270deg, #D5D4CA 0.48%, #2A93B3 20.19%, #025B6E 96.15%);
*/	background: linear-gradient(270deg, #96B8C0 0.48%, #2A93B3 20.19%, #025B6E 96.15%);
	background-clip: text;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
}
.title.mw-gradient-x > * {
/*	background: linear-gradient(270deg, #025B6E 0%, #2A93B3 25%, #D5D4CA 50%, #2A93B3 75%, #025B6E 100%);
*/	background: linear-gradient(270deg, #025B6E 0%, #2A93B3 25%, #96B8C0 50%, #2A93B3 75%, #025B6E 100%);
	background-size: 200% 100%;
	background-clip: text;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	animation: mw-gradient-flow 8s ease infinite;
}
@keyframes mw-gradient-flow {
	0%   { background-position: 0% 50%; }
	50%  { background-position: 100% 50%; }
	100% { background-position: 0% 50%; }
}

.title.boxed > * > span {
	display: table;
	padding: 0.125em 0.85em 0.25em 0.85em;
	border-radius: 9999px;
	background-color: var(--color1);
	color: #fff;
	margin-bottom: 0.25em;
}
.title.boxed.white-boxed > * > span,
.bg-color1 > .title.boxed > * > span {
	background-color: #fff;
	color: var(--textColor);
}

.title.underlined > * {
	text-decoration: underline;
}

.pretitle > * {
	z-index: 1;
	position: relative;
	display: inline-block;
	font-family: var(--defaultFont);
	font-size: 1.2em;
	line-height: 1.2em;
	text-transform: uppercase;
	font-weight: 400;
}
.pretitle > *::after {
	content: '';
	z-index: -1;
	position: absolute;
	top: auto;
	bottom: -0.1em;
	left: -1em;
	right: 100%;
	height: 0.7em;
	width: auto;
	background-color: var(--color2);
	transition: 0.3s;
}
.reveal .pretitle > *::after {
	right: 0;
}


.pretitle + .text,
.text + .text,
.title + .text {
	margin-top: 1.5em;
}
.pretitle + .title,
.title + .title {
	margin-top: 1em;
}


@media screen and (max-width:1400px) {
	.title.huge > * { font-size: 3.5em; }
	.title.big > * { font-size: 3.25em; }
}
@media screen and (max-width:1200px) {
	.title.big > * { font-size: 3em; }
	.title.medium > * { font-size: 2.5em; }
	.title.small > * { font-size: 2em; }
	.title.tiny > * { font-size: 1.15em; }
}
@media screen and (max-width: 1000px) {
	.title > * { text-wrap: balance; }
	.title:not(.preserveBR) > * br { display: none; }
}
@media screen and (max-width:500px) {
	.title > * {
		hyphens: auto;
	}
	.title.huge > * { font-size: 3em; }
	.title.big > * { font-size: 2.75em; }
	.title.medium > * { font-size: 2.25em; }
	.title.small > * { font-size: 1.75em; }
}
